<?php
header("Content-Type: application/json");
include "connect.php"; // فایل تنظیمات پایگاه داده

$response = array();

try {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST['product_id']) && isset($_POST['comment'])) {

            $product_id = $_POST['product_id'];
            $user_id = $_POST['user_id'];
            $comment = $_POST['comment'];
            $image_url = null;

            // اگر تصویر ارسال شده باشد، آن را آپلود کنیم
            if (isset($_FILES['image']) && $_FILES['image']['error'] == 0) {
                $upload_dir = "comments/";
                if (!file_exists($upload_dir)) {
                    mkdir($upload_dir, 0777, true); // اگر دایرکتوری وجود ندارد، ایجاد کن
                }

                $file_name = basename($_FILES["image"]["name"]);
                $target_file = $upload_dir . uniqid() . "_" . $file_name;

                if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
                    $image_url = "https://android-pro.ir/shopp/add/" . $target_file; 
                } else {
                    $response['success'] = false;
                    $response['message'] = "خطا در آپلود تصویر.";
                    echo json_encode($response);
                    exit();
                }
            }

            // ثبت نظر و تصویر (در صورت وجود) در پایگاه داده
            $stmt = $conn->prepare("INSERT INTO comments (product_id, comment_text, image_url,user_id,verify) VALUES (:product_id, :comment, :image_url,:user_id,'0')");
            $stmt->execute([
                ':product_id' => $product_id,
                ':comment' => $comment,
                ':image_url' => $image_url,
                ':user_id' => $user_id
            ]);

            $response['success'] = true;
            $response['message'] = "نظر با موفقیت ثبت شد.";

            if ($image_url) {
                $response['image_url'] = $image_url;
            }

        } else {
            $response['success'] = false;
            $response['message'] = "لطفاً محصول و نظر را ارسال کنید.";
        }
    } else {
        $response['success'] = false;
        $response['message'] = "درخواست نامعتبر است.";
    }
} catch (PDOException $e) {
    $response['success'] = false;
    $response['message'] = "خطای پایگاه داده: " . $e->getMessage();
} catch (Exception $e) {
    $response['success'] = false;
    $response['message'] = "خطای عمومی: " . $e->getMessage();
}

echo json_encode($response);
?>
