<?php
include "connect.php";  // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

// بررسی دریافت مقادیر
if (!isset($_POST['user_id']) || !isset($_POST['product_id'])) {
    echo json_encode(["error" => "user_id or product_id is missing"]);
    exit;
}

$user_id = intval($_POST['user_id']);
$product_id = intval($_POST['product_id']);

try {
    $stmt = $conn->prepare("SELECT * FROM favorites WHERE user_id = :user_id AND product_id = :product_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':product_id', $product_id);
    $stmt->execute();

    // اگر محصول قبلاً وجود ندارد، اضافه مییم
    if ($stmt->rowCount() == 0) {
        $stmt = $conn->prepare("INSERT INTO favorites (user_id, product_id) VALUES (:user_id, :product_id)");
        $stmt->bindParam(':user_id', $user_id);
        $stmt->bindParam(':product_id', $product_id);
        $stmt->execute();

        echo json_encode(["success" => "Product added to favorites"]);
    } else {
        echo json_encode(["error" => "Product already in favorites"]);
    }
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>
