<?php
// تنظیمات اتصال به پایگاه داده با استفاده از PDO
include "connect.php";

try {

    // دریافت پارامتر جستجو از درخواست POST
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['query'])) {
        $query = $_POST['query'];

        // بررسی اینکه آیا عبارت جستجو قبلاً وجود دارد
        $stmt = $conn->prepare("SELECT id, frequency FROM search_suggestions WHERE query = :query");
        $stmt->bindParam(':query', $query);
        $stmt->execute();

        // اگر عبارت وجود داشت، تعداد دفعات جستجو را افزایش می‌دهیم
        if ($stmt->rowCount() > 0) {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            $newFrequency = $row['frequency'] + 1;
            $updateStmt = $conn->prepare("UPDATE search_suggestions SET frequency = :frequency, created_at = CURRENT_TIMESTAMP WHERE id = :id");
            $updateStmt->bindParam(':frequency', $newFrequency);
            $updateStmt->bindParam(':id', $row['id']);
            $updateStmt->execute();
        } else {
            // اگر عبارت جستجو جدید بود، آن را به جدول اضافه می‌کنیم
            $insertStmt = $conn->prepare("INSERT INTO search_suggestions (query, frequency) VALUES (:query, 1)");
            $insertStmt->bindParam(':query', $query);
            $insertStmt->execute();
        }

        // پاسخ موفقیت‌آمیز
        echo json_encode(array("status" => "success"));
    } else {
        echo json_encode(array("error" => "Invalid request"));
    }

} catch (PDOException $e) {
    echo json_encode(array("error" => $e->getMessage()));
}

?>
