<?php
include "connect.php"; // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

if (!isset($_GET['user_id']) || !isset($_GET['product_id'])) {
    echo json_encode(["error" => "user_id or product_id is missing"]);
    exit;
}

$user_id = intval($_GET['user_id']);
$product_id = intval($_GET['product_id']);

try {
    // بررسی اینکه آیا محصول در لیست علاقه مندی های کاربر وجود دارد
    $stmt = $conn->prepare("SELECT COUNT(*) AS is_favorite FROM favorites WHERE user_id = :user_id AND product_id = :product_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':product_id', $product_id);
    $stmt->execute();

    $result = $stmt->fetch(PDO::FETCH_ASSOC);

    // ارسال نتیجه به صورت JSON
    echo json_encode(["is_favorite" => $result['is_favorite'] > 0]);
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>
