<?php
include "connect.php";
include_once('jdf.php'); // بارگذاری کتابخانه jdf برای تبدیل تاریخ

// تابع برای تبدیل تاریخ میلادی به شمسی
function getTodayPersianDate($gregorianDate) {
    $parts = explode('-', $gregorianDate);
    $year = $parts[0];
    $month = $parts[1];
    $day = $parts[2];

    // استفاده از تابع jdf برای تبدیل تاریخ میلادی به شمسی
    $persianDate = gregorian_to_jalali($year, $month, $day);

    // بازگرداندن تاریخ شمسی به فرمت yyyy/MM/dd
    return $persianDate[0] . "/" . $persianDate[1] . "/" . $persianDate[2];
}

try {
    // گرفتن اطلاعات از درخواست
    $user_id = $_POST["user_id"];
    $amount = $_POST["amount"];
    $date = $_POST["date"]; // تاریخ میلادی که از کاربر دریافت می‌شود
    $time = $_POST["time"];
    $type = $_POST["type"];
    $delivery = $_POST["delivery"];
    $address = $_POST["address"];

    // تبدیل تاریخ میلادی به شمسی
    $persianDate = getTodayPersianDate($date);

    $status = "pending"; 

    // ثبت سفارش در دیتابیس
    $stmt = $conn->prepare("INSERT INTO tbl_pyment (userid, amount, status, create_at, time_at,type_payment,type_delivery,address) VALUES (:user_id, :amount, :status, :date, :time,:type,:type_delivery,:address)");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':amount', $amount); 
    $stmt->bindParam(':status', $status);
    $stmt->bindParam(':date', $persianDate);
    $stmt->bindParam(':time', $time);
    $stmt->bindParam(':type', $type);
    $stmt->bindParam(':type_delivery', $delivery);
    $stmt->bindParam(':address', $address);
    $stmt->execute();

    // دریافت شناسه سفارش
    $order_id = $conn->lastInsertId();

    echo json_encode(["status" => "success", "order_id" => "$order_id"]);

} catch (PDOException $e) {
    // گرفتن خطاها
    echo json_encode(["status" => "error", "message" => $e->getMessage()]);
}
?>
