<?php
include "connect.php";

$product_id = isset($_GET['product_id']) ? intval($_GET['product_id']) : 0;

if ($product_id > 0) {
    $sql = "SELECT c.id, c.name, c.hex_code 
            FROM colors c
            JOIN product_colors pc ON c.id = pc.color_id
            WHERE pc.product_id = :product_id";

    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":product_id", $product_id, PDO::PARAM_INT);
    $stmt->execute();
    
    $colors = $stmt->fetchAll();

    echo json_encode($colors);
} else {
    echo json_encode(["error" => "Invalid product ID"]);
}
?>
