<?php
header("Content-Type: application/json");

include "connect.php";


// بررسی مقدار product_id
if (!isset($_GET["product_id"]) || !is_numeric($_GET["product_id"])) {
    echo json_encode(["error" => "Invalid or missing product ID"]);
    exit;
}

$product_id = intval($_GET["product_id"]);

// دریافت مشخصات محصول
$sql = "SELECT spec_name, spec_value FROM product_specs WHERE product_id = :product_id";
$stmt = $conn->prepare($sql);
$stmt->execute(["product_id" => $product_id]);

$specs = $stmt->fetchAll(PDO::FETCH_ASSOC); // فقط associative array

if ($specs) {
    echo json_encode($specs);
} else {
    echo json_encode(["message" => "No specifications found"]);
}
?>
