<?php
include "connect.php";  // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

// بررسی دریافت شناسه کاربر
if (!isset($_GET['user_id'])) {
    echo json_encode(["error" => "user_id is missing"]);
    exit;
}

$user_id = intval($_GET['user_id']);

try {
    $stmt = $conn->prepare("SELECT p.*, c.name AS category_name, s.name AS sub_cate_name 
                            FROM favorites f
                            JOIN tbl_product p ON f.product_id = p.id
                            JOIN tbl_category c ON p.category_id = c.id
                            JOIN tbl_subcate s ON p.sub_cate_id = s.id
                            WHERE f.user_id = :user_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->execute();

    $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // ارسال پاسخ به صورت JSON
    echo json_encode($products);

} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>
