<?php
include 'connect.php';

// دریافت مقادیر فیلتر از GET
$min_price = isset($_GET['min_price']) ? intval($_GET['min_price']) : 0;
$max_price = isset($_GET['max_price']) ? intval($_GET['max_price']) : 1000000;
$category_id = isset($_GET['category_id']) ? intval($_GET['category_id']) : 0;
$sort = isset($_GET['sort']) ? $_GET['sort'] : "newest"; // newest یا most_viewed


    // ساخت کوئری دینامیک با JOIN برای دریافت نام دسته‌بندی
    $query = "SELECT p.*, c.name AS category_name ,s.name AS sub_cate_name
              FROM tbl_product p 
              LEFT JOIN tbl_category c ON p.category_id = c.id
              LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
              WHERE p.price BETWEEN :min_price AND :max_price";

    if (!empty($category_id)) {
        $query .= " AND p.category_id = :category_id";
    }

    if ($sort === "newest") {
         $query .= " ORDER BY p.id DESC"; // مرتب‌سازی بر اساس جدیدترین

    } else {
        $query .= " ORDER BY p.visit DESC"; // مرتب‌سازی بر اساس بازدید
    }


// اجرای کوئری
$stmt = $conn->prepare($query);

if (!$clear_filter) {
    $stmt->bindParam(":min_price", $min_price, PDO::PARAM_INT);
    $stmt->bindParam(":max_price", $max_price, PDO::PARAM_INT);

    if (!empty($category_id)) {
        $stmt->bindParam(":category_id", $category_id, PDO::PARAM_INT);
    }
}

$stmt->execute();
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

echo json_encode($products);
?>
