<?php
include "connect.php";  // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

// بررسی دریافت شناسه کاربر
if (!isset($_GET['user_id'])) {
    echo json_encode(["error" => "user_id is missing"]);
    exit;
}

$user_id = intval($_GET['user_id']);
$payment = intval($_GET['payment']);
try {
    $stmt = $conn->prepare("SELECT invoice FROM `invoices` WHERE idPayment=:idPayment AND userid=:user_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':idPayment', $payment);
    $stmt->execute();

    $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // ارسال پاسخ به صورت JSON
    echo json_encode($products);

} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>