<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

if (!isset($_GET['user_id'])) {
    echo json_encode(["success" => false, "message" => "Missing user ID"]);
    exit();
}

$user_id = $_GET['user_id'];

$stmt = $conn->prepare("SELECT id, first_name, phone, profile_image, registered_at, status FROM users WHERE id = :user_id");
$stmt->bindParam(':user_id', $user_id);
$stmt->execute();

$user = $stmt->fetch(PDO::FETCH_ASSOC);

if ($user) {
    echo json_encode(["success" => true, "user" => $user]);
} else {
    echo json_encode(["success" => false, "message" => "User not found"]);
}
?>
