<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

if (!isset($_GET['comment_id'])) {
    echo json_encode(["success" => false, "message" => "Missing comment ID"]);
    exit();
}

$comment_id = $_GET['comment_id']; // متغیر را به درستی تنظیم کنید

// آماده‌سازی کوئری برای گرفتن پاسخ‌ها از جدول responses
$stmt = $conn->prepare("SELECT r.*, u.first_name, u.profile_image FROM responses r 
                        JOIN users u ON r.user_id = u.id 
                        WHERE r.comment_id = :comment_id");
$stmt->bindParam(':comment_id', $comment_id);
$stmt->execute();

$replies = array();
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    // جمع‌آوری اطلاعات از جدول responses و جدول users
    $replies[] = $row;
}

// پاسخ را به عنوان JSON ارسال کنید
echo json_encode(["success" => true, "replies" => $replies], JSON_UNESCAPED_UNICODE);
?>
