<?php
include "connect.php";

header("Content-Type: application/json; charset=UTF-8");

if (!isset($_GET['category_id'])) {
    echo json_encode(["error" => "Missing category_id"]);
    exit;
}

$category_id = intval($_GET['category_id']);

try {
    $stmt = $conn->prepare("SELECT s.*, c.name AS category_name 
          FROM tbl_subcate s 
          LEFT JOIN tbl_category c ON s.cate_id = c.id 
          WHERE s.cate_id = ?
          ORDER BY s.id DESC");
    $stmt->execute([$category_id]);

    $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($products);
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>