<?php
include "connect.php";

header("Content-Type: application/json; charset=UTF-8");

if (!isset($_GET['category_id']) || empty($_GET['category_id'])) {
    echo json_encode(["error" => "Missing category_id"]);
    exit;
}

$category_id = intval($_GET['category_id']);

try {
    $stmt = $conn->prepare("SELECT p.*, c.name AS category_name, s.name AS sub_cate_name
          FROM tbl_product p 
          LEFT JOIN tbl_category c ON p.category_id = c.id
          LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
          WHERE sub_cate_id = :category_id ORDER BY p.id DESC");
    $stmt->bindParam(":category_id", $category_id, PDO::PARAM_INT);
    $stmt->execute();

    $products = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($products);
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>
