<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

if (!isset($_POST['comment_id']) || !isset($_POST['type']) || !isset($_POST['user_id'])) {
    echo json_encode(["success" => false, "message" => "Invalid request"]);
    exit();
}

$comment_id = $_POST['comment_id'];
$type = $_POST['type'];
$user_id = $_POST['user_id'];

$checkStmt = $conn->prepare("SELECT * FROM comment_likes WHERE comment_id = :comment_id AND user_id = :user_id");
$checkStmt->bindParam(':comment_id', $comment_id, PDO::PARAM_INT);
$checkStmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
$checkStmt->execute();

if ($checkStmt->rowCount() > 0) {
    echo json_encode(["success" => false, "message" => "You have already liked/disliked this comment"]);
    exit();
}

$insertStmt = $conn->prepare("INSERT INTO comment_likes (comment_id, user_id, type) VALUES (:comment_id, :user_id, :type)");
$insertStmt->bindParam(':comment_id', $comment_id, PDO::PARAM_INT);
$insertStmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
$insertStmt->bindParam(':type', $type, PDO::PARAM_STR);

if ($insertStmt->execute()) {
    if ($type == 'like') {
        $updateStmt = $conn->prepare("UPDATE comments SET `like` = `like` + 1 WHERE id = :comment_id");
    } elseif ($type == 'dislike') {
        $updateStmt = $conn->prepare("UPDATE comments SET `dislike` = `dislike` + 1 WHERE id = :comment_id");
    } else {
        echo json_encode(["success" => false, "message" => "Invalid type"]);
        exit();
    }

    $updateStmt->bindParam(':comment_id', $comment_id, PDO::PARAM_INT);
    if ($updateStmt->execute()) {
        echo json_encode(["success" => true, "message" => "Updated successfully"]);
    } else {
        echo json_encode(["success" => false, "message" => "Database error"]);
    }
} else {
    echo json_encode(["success" => false, "message" => "Database error"]);
}
?>
