<?php
include "connect.php"; // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

// بررسی پارامترهای ورودی
if (!isset($_POST['user_id']) || !isset($_POST['product_id'])) {
    echo json_encode(["error" => "user_id or product_id is missing"]);
    exit;
}

// دریافت پارامترها
$user_id = intval($_POST['user_id']);
$product_id = intval($_POST['product_id']);

try {
    $stmt = $conn->prepare("DELETE FROM favorites WHERE user_id = :user_id AND product_id = :product_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':product_id', $product_id);
    
    if ($stmt->execute()) {
        echo json_encode(["success" => "true", "message" => "Product removed from favorites"]);
    } else {
        echo json_encode(["success" => "false", "message" => "Failed to remove product"]);
    }
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>
