<?php
include 'connect.php';

$query = $_GET['query'] ?? '';

try {
    // دریافت مترادف‌ها از دیتابیس
    $synonyms = [];
    $stmt = $conn->query("SELECT * FROM search_suggestions");
    foreach ($stmt->fetchAll(PDO::FETCH_ASSOC) as $row) {
        $synonyms[$row['query']] = explode(',', $row['query']);
    }

    // جایگزینی مترادف‌ها در جستجو
    $words = explode(' ', trim($query));
    $expandedWords = [];
    foreach ($words as $word) {
        $expandedWords[] = $word;
        if (isset($synonyms[$word])) {
            $expandedWords = array_merge($expandedWords, $synonyms[$word]);
        }
    }

    $conditions = [];
    $params = [];
    foreach ($expandedWords as $index => $word) {
        $param = ":word$index";
        $conditions[] = "(REPLACE(LOWER(p.name), ' ', '') LIKE $param 
                         OR REPLACE(LOWER(c.name), ' ', '') LIKE $param 
                         OR REPLACE(LOWER(s.name), ' ', '') LIKE $param)";
        $params[$param] = '%' . str_replace(' ', '', strtolower($word)) . '%';
    }

    $whereClause = implode(' OR ', $conditions);

    $sql = "SELECT p.*, c.name AS category_name, s.name AS sub_cate_name
            FROM tbl_product p
            LEFT JOIN tbl_category c ON p.category_id = c.id
            LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
            WHERE $whereClause";

    $stmt = $conn->prepare($sql);
    $stmt->execute($params);

    $searchResults = $stmt->fetchAll(PDO::FETCH_ASSOC);
    echo json_encode($searchResults);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>
