<?php
include "connect.php";

try {
    // دریافت پارامتر جستجو از درخواست POST
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['query'])) {
        $query = $_POST['query'];

        // جستجو در پایگاه داده برای پیشنهادات مشابه
        $stmt = $conn->prepare("SELECT query FROM search_suggestions WHERE query LIKE :query ORDER BY frequency DESC LIMIT 5");
        $likeQuery = "%" . $query . "%";  // استفاده از LIKE برای جستجوی مشابه
        $stmt->bindParam(':query', $likeQuery);
        $stmt->execute();

        $suggestions = array();
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            $suggestions[] = $row['query'];
        }

        // ارسال پاسخ به صورت JSON
        echo json_encode(array("suggestions" => $suggestions));
    } else {
        echo json_encode(array("error" => "Invalid request"));
    }

} catch (PDOException $e) {
    echo json_encode(array("error" => $e->getMessage()));
}

?>
