<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

$response = array();

try {
    // بررسی ارسال صحیح داده‌ها
    if (!isset($_POST["user_id"]) || !isset($_POST["comment_id"]) || !isset($_POST["response_text"])) {
        echo json_encode(["status" => "error", "message" => "تمامی مقادیر لازم ارسال نشده است"]);
        exit();
    }

    // دریافت اطلاعات از درخواست
    $user_id = $_POST["user_id"];
    $comment_id = $_POST["comment_id"];
    $response_text = $_POST["response_text"];
    $created_at = date("Y-m-d H:i:s");

    // دریافت تصویر کاربر از جدول users
    $stmtUser = $conn->prepare("SELECT profile_image FROM users WHERE id = :user_id");
    $stmtUser->bindParam(':user_id', $user_id);
    $stmtUser->execute();
    $user = $stmtUser->fetch(PDO::FETCH_ASSOC);
    $user_image = $user ? $user['user_image'] : '';

    // درج پاسخ در جدول responses
    $stmt = $conn->prepare("INSERT INTO responses (comment_id, user_id, response_text, created_at) 
                            VALUES (:comment_id, :user_id, :response_text, :created_at)");
    $stmt->bindParam(':comment_id', $comment_id);
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':response_text', $response_text);
    $stmt->bindParam(':created_at', $created_at);
    $stmt->execute();

    // دریافت ID پاسخ جدید
    $response_id = $conn->lastInsertId();

    // بازگشت پاسخ به‌صورت JSON
    $response["status"] = "success";
    $response["message"] = "پاسخ شما با موفقیت ثبت شد!";
    $response["id"] = $response_id;
    $response["comment_id"] = $comment_id;
    $response["user_id"] = $user_id;
    $response["user_image"] = $user_image;
    $response["response_text"] = $response_text;
    $response["created_at"] = $created_at;

} catch (PDOException $e) {
    $response["status"] = "error";
    $response["message"] = "خطا در پردازش: " . $e->getMessage();
}

// ارسال خروجی JSON
echo json_encode($response, JSON_UNESCAPED_UNICODE);
?>
