<?php
header("Content-Type: application/json");
require_once "connect.php"; // فایل اتصال به دیتابیس

try {
    $product_id = $_GET['product_id'];

    // دریافت category_id و sub_cate_id از محصول مورد نظر
    $stmt = $conn->prepare("SELECT category_id, sub_cate_id FROM tbl_product WHERE id = ?");
    $stmt->execute([$product_id]);
    $product = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$product) {
        echo json_encode(["error" => "Product not found"]);
        exit;
    }

    $category_id = $product['category_id'];
    $sub_cate_id = $product['sub_cate_id'];

    // دریافت محصولات مشابه با همان دسته‌بندی و زیر دسته‌بندی (غیر از محصول جاری)
    $stmt = $conn->prepare("SELECT p.*, 
                                   c.name AS category_name, 
                                   s.name AS sub_cate_name  
                            FROM tbl_product p 
                            LEFT JOIN tbl_category c ON p.category_id = c.id
                            LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
                            WHERE p.category_id = ? 
                            AND p.sub_cate_id = ? 
                            AND p.id != ? 
                            ORDER BY RAND() 
                            LIMIT 10");

    $stmt->execute([$category_id, $sub_cate_id, $product_id]);
    $similar_products = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($similar_products, JSON_UNESCAPED_UNICODE);

} catch (PDOException $e) {
    echo json_encode(["error" => $e->getMessage()]);
}
?>
