<?php
include "connect.php";

$productId = $_POST["id"] ?? null;
$quantityChange = $_POST["count"] ?? null;

// بررسی مقادیر دریافتی
if (!$productId || !$quantityChange) {
    die(json_encode(["status" => "error", "message" => "اطلاعات ناقص است."]));
}

try {
    $conn->beginTransaction();

    // دریافت مقدار فعلی از دیتابیس
    $query = "SELECT count FROM tbl_basket WHERE id = :productId";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':productId', $productId);
    $stmt->execute();
    
    $currentQuantity = $stmt->fetchColumn();
    
    if ($currentQuantity === false) {
        $conn->rollBack();
        die(json_encode(["status" => "error", "message" => "محصول یافت نشد."]));
    }

    // محاسبه مقدار جدید
    $newQuantity = $currentQuantity + $quantityChange;

    // به‌روزرسانی مقدار جدید در سبد خرید
    $updateQuery = "UPDATE tbl_basket SET count = :newQuantity WHERE id = :productId";
    $updateStmt = $conn->prepare($updateQuery);
    $updateStmt->bindParam(':newQuantity', $newQuantity);
    $updateStmt->bindParam(':productId', $productId);
    $updateStmt->execute();

    if ($updateStmt->rowCount() > 0) {
        $conn->commit();
        echo json_encode(["status" => "success", "message" => "به‌روزرسانی انجام شد."]);
    } else {
        $conn->rollBack();
        echo json_encode(["status" => "error", "message" => "به‌روزرسانی انجام نشد."]);
    }
} catch (Exception $e) {
    $conn->rollBack();
    echo json_encode(["status" => "error", "message" => "خطا: " . $e->getMessage()]);
}
?>
