<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

if ($_SERVER["REQUEST_METHOD"] !== "POST") {
    echo json_encode(["success" => false, "message" => "Invalid request method"]);
    exit();
}

if (!isset($_POST['user_id']) || !isset($_FILES['profile_image'])) {
    echo json_encode(["success" => false, "message" => "Missing required fields"]);
    exit();
}

$user_id = $_POST['user_id'];
$target_dir = "profile_images/";

// **1. دریافت مسیر تصویر قبلی از دیتابیس**
$query = $conn->prepare("SELECT profile_image FROM users WHERE id = :user_id");
$query->bindParam(':user_id', $user_id);
$query->execute();
$old_image = $query->fetchColumn();

// **2. حذف تصویر قبلی از پوشه، اگر موجود بود**
if (!empty($old_image)) {
    $old_image_path = str_replace("https://android-pro.ir/shopp/add/", "", $old_image);
    if (file_exists($old_image_path)) {
        unlink($old_image_path);
    }
}

// **3. پردازش تصویر جدید و آپلود آن**
$image_name = basename($_FILES["profile_image"]["name"]);
$image_path = $target_dir . time() . "_" . $image_name;
$image_type = strtolower(pathinfo($image_path, PATHINFO_EXTENSION));

if (!in_array($image_type, ["jpg", "jpeg", "png"])) {
    echo json_encode(["success" => false, "message" => "Only JPG, JPEG, and PNG files are allowed"]);
    exit();
}

if (move_uploaded_file($_FILES["profile_image"]["tmp_name"], $image_path)) {
    $full_image_url = "https://android-pro.ir/shopp/add/" . $image_path;

    $updateStmt = $conn->prepare("UPDATE users SET profile_image = :image_path WHERE id = :user_id");
    $updateStmt->bindParam(':image_path', $full_image_url);
    $updateStmt->bindParam(':user_id', $user_id);

    if ($updateStmt->execute()) {
        echo json_encode(["success" => true, "message" => "Profile image updated", "image_url" => $full_image_url]);
    } else {
        echo json_encode(["success" => false, "message" => "Database update failed"]);
    }
} else {
    echo json_encode(["success" => false, "message" => "File upload failed"]);
}
?>
