<?php
include 'connect.php';

$userid = $_GET["userid"];
$code = $_GET["code"];
$phone = $_GET["phone"];  // شماره تلفن را از پارامتر GET دریافت می‌کنیم

$stmt = $conn->prepare("SELECT * FROM `tbl_smsverify` WHERE `userid` = :user AND `code` = :code ORDER BY `id` DESC LIMIT 1 ");
$stmt->bindParam(':user', $userid);
$stmt->bindParam(':code', $code);
$stmt->execute();
$user = $stmt->fetch(PDO::FETCH_ASSOC);

if ($user) {
    // حالا وضعیت کاربر را بررسی می‌کنیم
    $stmt1 = $conn->prepare("SELECT status FROM users WHERE id = :userid");
    $stmt1->bindParam(':userid', $userid, PDO::PARAM_INT);
    $stmt1->execute();
    $userStatus = $stmt1->fetch(PDO::FETCH_ASSOC);

    if ($userStatus && $userStatus['status'] === 'inactive') {
        // ارسال کد تخفیف به تابع
        sendDiscountCode($phone);  // ارسال کد تخفیف به تابع
        
        // پس از ارسال کد تخفیف، حساب کاربر فعال می‌شود
        $res1 = $conn->prepare("UPDATE `users` SET `status` = 'active' WHERE `id` = :userid");
        $res1->bindParam(':userid', $userid, PDO::PARAM_INT);
        $res1->execute();
        echo json_encode(["status" => "success", "message" => "ورود موفقیت‌آمیز بود و کد تخفیف ارسال شد"]);
    } else {
        echo json_encode(["status" => "success", "message" => "ورود موفقیت‌آمیز بود. حساب شما فعال است."]);
    }
} else {
    echo json_encode(["status" => "error", "message" => "کد تایید اشتباه است"]);
}

function sendDiscountCode($phone) {
    global $conn;  // برای دسترسی به متغیرهای سراسری مانند $conn

    $phone1 = ltrim($phone, '0');  // حذف صفر ابتدایی از شماره

    $discountPercent = 15;  // مقدار تخفیف 15 درصد

    // تولید کد تخفیف تصادفی
    $discountCode = "OFFER" . rand(10, 999);

    // درج کد تخفیف در دیتابیس
    $stmt = $conn->prepare("INSERT INTO discount_code (discount_percent, code, expires_at) VALUES (:discount_percent, :code, NOW() + INTERVAL 4 DAY)");
    $stmt->execute(['discount_percent' => $discountPercent, 'code' => $discountCode]);

    // ارسال پیامک به کاربر
    $url = 'https://console.melipayamak.com/api/send/shared/42b11a7305944122850e805900d62a6d';
    $data = array('bodyId' => 314053, 'to' => $phone, 'args' => [$discountCode]);
    $data_string = json_encode($data);
    $ch = curl_init($url);                          
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json',
        'Content-Length: ' . strlen($data_string)
    ));

    $result = curl_exec($ch);
    curl_close($ch);

    // نمایش نتیجه ارسال پیامک
    if ($result) {
        echo json_encode(["status" => "success", "message" => "کد تخفیف ارسال شد"]);
    } else {
        echo json_encode(["status" => "error", "message" => "خطا در ارسال پیامک"]);
    }
}
?>
