<?php

// تعیین متن و رنگ بر اساس وضعیت پرداخت
    $message = "پرداخت شما با موفقیت انجام شد";
    $color = "success"; // رنگ سبز برای موفقیت
    $icon = "✔️";

?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>نتیجه پرداخت</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <style>
        body {
            background: linear-gradient(135deg, #4caf50, #2e7d32);
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            text-align: center;
            direction: rtl;
        }
        .card {
            border-radius: 15px;
            padding: 20px;
            width: 90%;
            max-width: 600px;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
            animation: fadeIn 0.8s ease-in-out;
        }
        @keyframes fadeIn {
            from { opacity: 0; transform: translateY(-20px); }
            to { opacity: 1; transform: translateY(0); }
        }
        .btn-back {
            background: #ff9800;
            color: white;
            transition: 0.3s;
        }
        .btn-back:hover {
            background: #e65100;
        }
    </style>
</head>
<body>
    <div class="card bg-light text-center">
        <h2 class="text-<?= $color; ?>"><?= $icon; ?> <?= $message; ?></h2>
        <p class="text-muted">سپاس از اینکه ما را انتخاب کردید. همراهی شما باعث پیشرفت ماست. امیدواریم از خریدتان راضی باشید و منتظر دیدار دوباره شما هستیم.</p>
        <a href="myapp://payment-result" class="btn btn-back w-100 mt-3" id="backButton" onclick="removeButton(event)">
        تایید سفارش و بازگشت به برنامه
        </a>
    </div>

</body>
<script>
    // بررسی وضعیت دکمه هنگام بارگذاری صفحه
    document.addEventListener("DOMContentLoaded", function () {
        if (localStorage.getItem("buttonHidden") === "true") {
            document.getElementById("backButton").style.display = "none";
        }
    });

    function removeButton(event) {
        event.preventDefault(); // جلوگیری از رفتار پیش‌فرض لینک
        localStorage.setItem("buttonHidden", "true"); // ذخیره وضعیت حذف دکمه
        document.getElementById("backButton").style.display = "none"; // حذف دکمه از صفحه
        window.location.href = "myapp://payment-result"; // باز کردن لینک اپلیکیشن
    }
</script>
</html>
