<?php
include "connect.php";

// دریافت لیست محصولات از دیتابیس
$stmt = $conn->query("SELECT * FROM tbl_product ORDER BY id DESC");
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

// بررسی ارسال فرم
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $product_id = $_POST['product_id'];

    // ذخیره URL های وارد شده
    if (!empty($_POST['image_urls'])) {
        $image_urls =$_POST['image_urls'];
            if (!empty($image_urls)) {
                $stmt = $conn->prepare("INSERT INTO product_images (product_id, image_url) VALUES (:product_id, :image_url)");
                $stmt->bindParam(':product_id', $product_id);
                $stmt->bindParam(':image_url', $image_urls);
                $stmt->execute();
            }
    }

    // ذخیره تصاویر آپلود شده
    if (isset($_FILES['image_files']) && $_FILES['image_files']['error'][0] == 0) {
        $files = $_FILES['image_files'];
        $upload_dir = "uploads/";

        foreach ($files['name'] as $index => $file_name) {
            $upload_file = $upload_dir . basename($file_name);
            
            // انتقال فایل به پوشه آپلود
            if (move_uploaded_file($files["tmp_name"][$index], $upload_file)) {
                
                $image = "https://android-pro.ir/shopp/add/web/" . $upload_file;
                // ذخیره URL فایل آپلود شده در دیتابیس
                $stmt = $conn->prepare("INSERT INTO product_images (product_id, image_url) VALUES (:product_id, :image_url)");
                $stmt->bindParam(':product_id', $product_id);
                $stmt->bindParam(':image_url', $image);
                $stmt->execute();
            }
        }
    }
}
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>افزودن گالری محصول</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body class="bg-light">
    <div class="container mt-5">
        <h3>افزودن گالری به محصول</h3>

        <form action="add_gallery.php" method="POST" enctype="multipart/form-data">
            <div class="mb-3">
                <label for="product_id" class="form-label">انتخاب محصول:</label>
                <select name="product_id" id="product_id" class="form-select" required>
                    <option value="">انتخاب محصول</option>
                    <?php foreach ($products as $product): ?>
                        <option value="<?= $product['id'] ?>"><?= $product['name'] ?></option>
                    <?php endforeach; ?>
                </select>
            </div>

            <div class="mb-3">
                <label for="image_urls" class="form-label">آدرس تصاویر (URL):</label>
                <input type="text" name="image_urls" id="image_urls" class="form-control" placeholder="https://example.com/image1.jpg" multiple>
                <small>برای افزودن چند URL، از کاما (,) استفاده کنید.</small>
            </div>

            <div class="mb-3">
                <label for="image_files" class="form-label">آپلود تصاویر:</label>
                <input type="file" name="image_files[]" id="image_files" class="form-control" multiple>
            </div>

            <div class="d-grid">
                <button type="submit" class="btn btn-primary">افزودن تصاویر</button>
            </div>
        </form>

        <div class="mt-5">
            <h4>تصاویر اضافه شده:</h4>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>تصویر</th>
                        <th>آدرس تصویر</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    if (isset($_POST['product_id'])) {
                        $product_id = $_POST['product_id'];
                        $stmt = $conn->prepare("SELECT * FROM product_images WHERE product_id = :product_id");
                        $stmt->bindParam(':product_id', $product_id);
                        $stmt->execute();
                        $images = $stmt->fetchAll(PDO::FETCH_ASSOC);

                        foreach ($images as $image) {
                            echo "<tr>";
                            echo "<td><img src='" . $image['image_url'] . "' width='100' height='100'></td>";
                            echo "<td>" . $image['image_url'] . "</td>";
                            echo "</tr>";
                        }
                    }
                    ?>
                </tbody>
            </table>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
