<?php
include "connect.php";

// دریافت لیست محصولات از دیتابیس
$stmt = $conn->prepare("SELECT id, name FROM tbl_category");
$stmt->execute();
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $message = $_POST['message'];
    $product_id = $_POST['product_id'];

    // درج نوتیفیکیشن در دیتابیس
    $sql = "INSERT INTO notifications (message, cate_id) VALUES (:message, :product_id)";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':message', $message);
    $stmt->bindParam(':product_id', $product_id);
    $stmt->execute();

    echo "نوتیفیکیشن با موفقیت ارسال شد.";
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ارسال نوتیفیکیشن</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <style>
        body {
            direction: rtl;
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
        .container {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 600px;
        }
        .form-group {
            margin-bottom: 15px;
        }
        .form-group label {
            display: block;
            font-weight: bold;
        }
        .form-group input,
        .form-group textarea,
        .form-group select {
            width: 100%;
            padding: 10px;
            margin-top: 5px;
            border-radius: 5px;
            border: 1px solid #ccc;
            color: black !important;
            background-color: white !important;
        }
        option,select {
            color: black !important;
            background-color: white !important;
        }
        .form-group button {
            width: 100%;
            padding: 10px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 5px;
            font-size: 16px;
            cursor: pointer;
        }
        .form-group button:hover {
            background-color: #45a049;
        }
        @media (max-width: 600px) {
            .container {
                width: 90%;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <h2>ارسال نوتیفیکیشن</h2>
        <form action="" method="POST">
            <div class="form-group">
                <label for="message">پیام نوتیفیکیشن:</label>
                <textarea id="message" name="message" rows="4" required></textarea>
            </div>

            <div class="form-group">
                <label for="product_id">انتخاب محصول مرتبط:</label>
                <select id="product_id" name="product_id" required>
                    <option value="" disabled selected>یک محصول را انتخاب کنید...</option>
                    <?php foreach ($products as $product): ?>
                        <option value="<?= $product['id'] ?>"><?= htmlspecialchars($product['name']) ?></option>
                    <?php endforeach; ?>
                </select>
            </div>

            <div class="form-group">
                <button type="submit">ارسال نوتیفیکیشن</button>
            </div>
        </form>
    </div>
</body>
</html>
