<?php
include "connect.php";

// دریافت رنگ‌ها از جدول colors
$stmt = $conn->query("SELECT * FROM colors");
$colors = $stmt->fetchAll(PDO::FETCH_ASSOC);

// دریافت دسته‌بندی‌ها
$stmt = $conn->query("SELECT * FROM tbl_category");
$categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>افزودن محصول</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="styles.css">
</head>
<body class="bg-light">
<?php if (isset($_GET['success'])): ?>
    <div class="alert alert-success alert-dismissible fade show text-center" role="alert">
        محصول با موفقیت اضافه شد!
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
<?php endif; ?>

<?php if (isset($_GET['error'])): ?>
    <div class="alert alert-danger alert-dismissible fade show text-center" role="alert">
        خطا در افزودن محصول. لطفاً دوباره تلاش کنید.
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
<?php endif; ?>

<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <div class="card shadow-lg">
                <div class="card-header bg-primary text-white">
                    <h4 class="text-center">افزودن محصول جدید</h4>
                </div>
                <div class="card-body">
                    <form action="save_product.php" method="POST" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label class="form-label float-start">نام محصول:</label>
                            <input type="text" name="name" class="form-control text-end" required>
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">قیمت:</label>
                            <input type="text" name="price" class="form-control text-end" required>
                        </div>
                        <div class="mb-3">
                            <input type="checkbox" name="price_inquiry" id="price_inquiry" value="1">
                            <label for="price_inquiry" class="form-label">استعلام قیمت</label>
                        </div>
                        <div class="mb-3">
                            <label class="form-label float-start">تصویر محصول (آپلود فایل):</label>
                            <input type="file" name="image" class="form-control">
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">یا آدرس تصویر (URL):</label>
                            <input type="url" name="image_url" class="form-control text-end" placeholder="مثال: https://example.com/image.jpg">
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">دسته‌بندی:</label>
                            <select name="category_id" id="category" class="form-select text-end" required>
                                <option value="">انتخاب دسته‌بندی</option>
                                <?php foreach ($categories as $category): ?>
                                    <option value="<?= $category['id'] ?>"><?= $category['name'] ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">زیر دسته‌بندی:</label>
                            <select name="sub_cate_id" id="sub_category" class="form-select text-end" required>
                                <option value="">ابتدا دسته‌بندی را انتخاب کنید</option>
                            </select>
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">رنگ‌ها:</label>
                            <select name="colors[]" id="colors" class="form-select text-end" multiple required>
                                <?php foreach ($colors as $color): ?>
                                    <option value="<?= $color['id'] ?>"><?= $color['name'] ?></option>
                                <?php endforeach; ?>
                            </select>
                            <small class="form-text text-muted">می‌توانید چند رنگ انتخاب کنید.</small>
                        </div>

                        <div class="mb-3">
                           <label class="form-label float-start">توضیحات محصول:</label>
                           <textarea name="description" class="form-control text-end" rows="4" required></textarea>
                       </div>

                        <!-- بخش تخفیف -->
                        <div class="mb-3">
                            <label class="form-label float-start">آیا این محصول دارای تخفیف است؟</label>
                            <select name="has_discount" id="has_discount" class="form-select text-end" required>
                                <option value="no">خیر</option>
                                <option value="yes">بله</option>
                            </select>
                        </div>

                        <div id="discount_section" style="display: none;">
                            <div class="mb-3">
                                <label class="form-label float-start">درصد تخفیف:</label>
                                <input type="number" name="discount_percentage" class="form-control text-end" min="1" max="100">
                            </div>

                            <div class="mb-3">
                                <label class="form-label float-start">تاریخ شگفت‌انگیز:</label>
                                <input type="date" name="amazing_offer_time" class="form-control">
                            </div>
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">موجود/ناموجود:</label>
                            <select name="availability" class="form-select text-end" required>
                                <option value="available">موجود</option>
                                <option value="unavailable">ناموجود</option>
                            </select>
                        </div>
                        <div class="mb-3">
                       <label class="form-label float-start">تعداد در هر بسته:</label>
                       <input type="number" name="quantity_per_pack" class="form-control text-end" min="1" required>
                       </div>

                        <div class="d-grid">
                            <button type="submit" class="btn btn-success">افزودن محصول</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
setTimeout(function() {
    let alert = document.querySelector(".alert");
    if (alert) {
        alert.style.transition = "opacity 0.5s";
        alert.style.opacity = "0";
        setTimeout(() => alert.remove(), 500);
    }
}, 3000); 

$(document).ready(function() {
    $('#category').change(function() {
        var category_id = $(this).val();
        if(category_id) {
            $.ajax({
                type: 'POST',
                url: 'get_subcategories.php',
                data: {category_id: category_id},
                success: function(response) {
                    $('#sub_category').html(response);
                }
            });
        } else {
            $('#sub_category').html('<option value="">ابتدا دسته‌بندی را انتخاب کنید</option>');
        }
    });

    $('#has_discount').change(function() {
        if ($(this).val() == "yes") {
            $('#discount_section').show();
        } else {
            $('#discount_section').hide();
        }
    });
});
</script>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
