<?php
include "connect.php"; // اتصال به دیتابیس


// دریافت تمام محصولات از پایگاه داده
$stmt = $conn->query("SELECT * FROM tbl_product ORDER BY id DESC");
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);


// اگر درخواست POST ارسال شد
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $product_id = $_POST['product_id']; // شناسه محصول که به فرم ارسال شده است
    $spec_names = $_POST['spec_name']; // آرایه‌ای از نام‌های مشخصات
    $spec_values = $_POST['spec_value']; // آرایه‌ای از مقادیر مشخصات

    // ذخیره مشخصات محصول در جدول product_specs
    foreach ($spec_names as $index => $spec_name) {
        $spec_value = $spec_values[$index];
        $stmt = $conn->prepare("INSERT INTO product_specs (product_id, spec_name, spec_value) VALUES (:product_id, :spec_name, :spec_value)");
        $stmt->bindParam(':product_id', $product_id);
        $stmt->bindParam(':spec_name', $spec_name);
        $stmt->bindParam(':spec_value', $spec_value);
        $stmt->execute();
    }

    // هدایت به صفحه دیگر پس از موفقیت
    header("Location: add_spec.php?success=1");
    exit;
}
?>
<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>افزودن مشخصات محصول</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body class="bg-light">
<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <div class="card shadow-lg">
                <div class="card-header bg-primary text-white">
                    <h4 class="text-center">افزودن مشخصات محصول</h4>
                </div>
                <div class="card-body">
                    <form action="" method="POST">
                        <!-- لیست بازشونده انتخاب محصول -->
                        <div class="mb-3">
                            <label class="form-label float-start">انتخاب محصول:</label>
                            <select name="product_id" class="form-select text-end" required>
                                <option value="">انتخاب محصول</option>
                                <?php foreach ($products as $product): ?>
                                    <option value="<?= $product['id'] ?>"><?= $product['name'] ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                        <!-- وارد کردن مشخصات محصول -->
                        <div class="mb-3">
                            <label class="form-label float-start">نام مشخصه:</label>
                            <input type="text" name="spec_name[]" class="form-control text-end" required>
                        </div>

                        <div class="mb-3">
                            <label class="form-label float-start">مقدار مشخصه:</label>
                            <input type="text" name="spec_value[]" class="form-control text-end" required>
                        </div>

                        <button type="button" id="add-spec" class="btn btn-info">افزودن مشخصه جدید</button>
                        <div id="additional-specs"></div>

                        <div class="d-grid mt-3">
                            <button type="submit" class="btn btn-success">ذخیره مشخصات</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function() {
        // اضافه کردن مشخصه جدید
        $('#add-spec').click(function() {
            var newSpecHTML = `
                <div class="mb-3">
                    <label class="form-label float-start">نام مشخصه:</label>
                    <input type="text" name="spec_name[]" class="form-control text-end" required>
                </div>
                <div class="mb-3">
                    <label class="form-label float-start">مقدار مشخصه:</label>
                    <input type="text" name="spec_value[]" class="form-control text-end" required>
                </div>
            `;
            $('#additional-specs').append(newSpecHTML);
        });
    });
</script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>