<?php
include "connect.php";

// بررسی وجود پارامتر id در URL
if (!isset($_GET['id'])) {
    die("محصول مورد نظر پیدا نشد.");
}

$product_id = $_GET['id'];

// دریافت تصاویر محصول از پایگاه داده
$stmt = $conn->prepare("SELECT image FROM tbl_product WHERE id = :product_id");
$stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
$stmt->execute();
$product = $stmt->fetch(PDO::FETCH_ASSOC);

// بررسی اینکه آیا تصویر اصلی وجود دارد و حذف آن از پوشه
if ($product && isset($product['image'])) {
    $image_path = $product['image'];

    // بررسی وجود فایل و حذف آن
    if (file_exists($image_path)) {
        unlink($image_path);  // حذف تصویر اصلی
    }
}

// حذف تصاویر از جدول product_images
$stmt = $conn->prepare("SELECT image_url FROM product_images WHERE product_id = :product_id");
$stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
$stmt->execute();
$images = $stmt->fetchAll(PDO::FETCH_ASSOC);

// حذف هر یک از تصاویر گالری از پوشه
foreach ($images as $image) {
    $image_path = $image['image_url'];
    if (file_exists($image_path)) {
        unlink($image_path);  // حذف هر تصویر گالری
    }
}

// حذف تصاویر از جدول product_images
$stmt = $conn->prepare("DELETE FROM product_images WHERE product_id = :product_id");
$stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
$stmt->execute();

// حذف محصول از جدول tbl_product
$stmt = $conn->prepare("DELETE FROM tbl_product WHERE id = :id");
$stmt->bindParam(':id', $product_id, PDO::PARAM_INT);
$stmt->execute();

// هدایت به صفحه مدیریت محصولات پس از حذف
echo "<script>alert('محصول با موفقیت حذف شد.'); window.location.href = 'manage_products.php';</script>";
?>
