<?php
include "connect.php";

// بررسی وجود پارامتر id در URL
if (!isset($_GET['id'])) {
    die("محصول مورد نظر پیدا نشد.");
}

$product_id = $_GET['id'];

// دریافت اطلاعات محصول از دیتابیس
$stmt = $conn->prepare("SELECT * FROM tbl_product WHERE id = :id");
$stmt->bindParam(':id', $product_id, PDO::PARAM_INT);
$stmt->execute();
$product = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$product) {
    die("محصول مورد نظر پیدا نشد.");
}

// دریافت اطلاعات تصاویر گالری محصول
$stmt = $conn->prepare("SELECT * FROM product_images WHERE product_id = :product_id");
$stmt->bindParam(':product_id', $product_id);
$stmt->execute();
$images = $stmt->fetchAll(PDO::FETCH_ASSOC);

// دریافت رنگ‌ها از جدول colors
$stmt = $conn->prepare("SELECT * FROM colors");
$stmt->execute();
$colors = $stmt->fetchAll(PDO::FETCH_ASSOC);
// گرفتن رنگ‌های قبلی محصول
$stmt = $conn->prepare("SELECT color_id FROM product_colors WHERE product_id = :product_id");
$stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
$stmt->execute();
$selected_colors = $stmt->fetchAll(PDO::FETCH_COLUMN);

if (isset($_POST['colors'])) {
    // حذف رنگ‌های قبلی مرتبط با محصول
    $stmt = $conn->prepare("DELETE FROM product_colors WHERE product_id = :product_id");
    $stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
    $stmt->execute();

    // اضافه کردن رنگ‌های جدید
    foreach ($_POST['colors'] as $color_id) {
        $stmt = $conn->prepare("INSERT INTO product_colors (product_id, color_id) VALUES (:product_id, :color_id)");
        $stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
        $stmt->bindParam(':color_id', $color_id, PDO::PARAM_INT);
        $stmt->execute();
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // دریافت اطلاعات فرم و به روز رسانی محصول در دیتابیس
    $name = $_POST['name'];
    $description = $_POST['description'];
    $price = $_POST['price'];

    // دریافت مقدار تخفیف
    $has_discount = $_POST['has_discount']; // مقدار "yes" یا "no"
$discount_percentage = isset($_POST['discount_percentage']) && $_POST['discount_percentage'] !== "" 
    ? $_POST['discount_percentage'] 
    : 0;
$discount_date = isset($_POST['discount_date']) && $_POST['discount_date'] !== "" 
    ? $_POST['discount_date'] 
    : "0000-00-00";
    $available = $_POST['available']; // مقدار موجود یا ناموجود

$quantity_per_pack = isset($_POST['quantity_per_pack']) ? intval($_POST['quantity_per_pack']) : 1;

// اگر مقدار وارد شده 1 باشد، مقدار 0 را ذخیره کن
if ($quantity_per_pack == 1) {
    $quantity_per_pack = 0;
}


    // بررسی وجود محصول در سبد خرید
    $stmt = $conn->prepare("SELECT COUNT(*) FROM tbl_basket WHERE idproduct = :product_id");
    $stmt->bindParam(':product_id', $product_id, PDO::PARAM_INT);
    $stmt->execute();
    $product_in_cart = $stmt->fetchColumn() > 0; // اگر مقدار بیشتر از صفر باشد یعنی در سبد خرید است

    if ($product_in_cart) {
        // اگر محصول در سبد خرید وجود دارد، تخفیف را در جدول cart به‌روزرسانی کنیم
        $update_cart_stmt = $conn->prepare("UPDATE tbl_basket 
            SET discount = :discount_percentage, date_discount = :discount_date , hasDiscount = :has , availability =:available
            WHERE idproduct = :product_id");
            
        $has = 'yes';

        $update_cart_stmt->bindParam(':discount_percentage', $discount_percentage);
        $update_cart_stmt->bindParam(':discount_date', $discount_date);
        $update_cart_stmt->bindParam(':product_id', $product_id);
        $update_cart_stmt->bindParam(':has', $has);
        $update_cart_stmt->bindParam(':available', $available);
        $update_cart_stmt->execute();
        
          $update_stmt = $conn->prepare("UPDATE tbl_product 
            SET name = :name, description = :description, price = :price, hasDiscount = :has_discount, discount = :discount_percentage, date_discount = :discount_date , availability = :available, , box_count=:box_count
            WHERE id = :id");

        $update_stmt->bindParam(':name', $name);
        $update_stmt->bindParam(':description', $description);
        $update_stmt->bindParam(':price', $price);
        $update_stmt->bindParam(':has_discount', $has_discount);
        $update_stmt->bindParam(':discount_percentage', $discount_percentage);
        $update_stmt->bindParam(':discount_date', $discount_date);
        $update_stmt->bindParam(':available', $available);
        $update_stmt->bindParam(':box_count', $quantity_per_pack);
        $update_stmt->bindParam(':id', $product_id);
        $update_stmt->execute();
    } else {
        // اگر محصول در سبد خرید نیست، در جدول محصولات به‌روزرسانی انجام شود
        $update_stmt = $conn->prepare("UPDATE tbl_product 
            SET name = :name, description = :description, price = :price, hasDiscount = :has_discount, discount = :discount_percentage, date_discount = :discount_date, availability = :available ,box_count=:box_count
            WHERE id = :id");

        $update_stmt->bindParam(':name', $name);
        $update_stmt->bindParam(':description', $description);
        $update_stmt->bindParam(':price', $price);
        $update_stmt->bindParam(':has_discount', $has_discount);
        $update_stmt->bindParam(':discount_percentage', $discount_percentage);
        $update_stmt->bindParam(':discount_date', $discount_date);
        $update_stmt->bindParam(':available', $available);
        $update_stmt->bindParam(':box_count', $quantity_per_pack);
        $update_stmt->bindParam(':id', $product_id);
        $update_stmt->execute();
    }
    


    // نمایش پیام موفقیت
    echo "<script>alert('محصول با موفقیت ویرایش شد.'); window.location.href = 'manage_products.php';</script>";
}
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ویرایش محصول</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
</head>
<body class="bg-light">
    <div class="container mt-5">
        <h3>ویرایش محصول</h3>

        <!-- فرم ویرایش محصول -->
        <form method="post">
            <div class="mb-3">
                <label for="name" class="form-label">نام محصول</label>
                <input type="text" class="form-control" id="name" name="name" value="<?= htmlspecialchars($product['name']) ?>" required>
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">توضیحات</label>
                <textarea class="form-control" id="description" name="description" rows="4" required><?= htmlspecialchars($product['description']) ?></textarea>
            </div>
            <div class="mb-3">
                <label for="price" class="form-label">قیمت</label>
                <input type="number" class="form-control" id="price" name="price" value="<?= htmlspecialchars($product['price']) ?>" step="0.01" required>
            </div>

            <!-- انتخاب تخفیف -->
            <div class="mb-3">
                <label class="form-label">آیا این محصول دارای تخفیف است؟</label>
                <select name="has_discount" id="has_discount" class="form-select" required>
                    <option value="no" <?= $product['has_discount'] === 'no' ? 'selected' : '' ?>>خیر</option>
                    <option value="yes" <?= $product['has_discount'] === 'yes' ? 'selected' : '' ?>>بله</option>
                </select>
            </div>

            <!-- بخش تخفیف (نمایش در صورت انتخاب بله) -->
            <div id="discount_section" style="display: <?= $product['has_discount'] === 'yes' ? 'block' : 'none' ?>;">
                <div class="mb-3">
                    <label class="form-label">درصد تخفیف:</label>
                    <input type="number" name="discount_percentage" class="form-control" min="1" max="100" value="<?= htmlspecialchars($product['discount_percentage'] ?? '') ?>">
                </div>
                <div class="mb-3">
                    <label class="form-label">تاریخ پایان تخفیف:</label>
                    <input type="date" name="discount_date" class="form-control" value="<?= htmlspecialchars($product['discount_date'] ?? '') ?>">
                </div>
            </div>

            <h4>تصاویر گالری</h4>
            <div class="row">
                <?php foreach ($images as $image): ?>
                    <div class="col-4 mb-2">
                        <img src="<?= $image['image_url'] ?>" class="img-fluid" alt="Product Image" style="height: 100px; object-fit: cover;">
                    </div>
                <?php endforeach; ?>
            </div>
            
            <div class="mb-3">
    <label class="form-label">وضعیت محصول:</label>
    <select name="available" id="available" class="form-select" required>
        <option value="available" <?= $product['availability'] === 'available' ? 'selected' : '' ?>>موجود</option>
        <option value="unavailable" <?= $product['availability'] === 'unavailable' ? 'selected' : '' ?>>ناموجود</option>
    </select>
</div>

<div class="mb-3">
    <label for="quantity_per_pack" class="form-label">تعداد در هر بسته</label>
    <input type="number" class="form-control" id="quantity_per_pack" name="quantity_per_pack" value="<?= htmlspecialchars($product['box_count'] ?? 1) ?>" required>
</div>
<div class="mb-3">
    <label class="form-label">رنگ‌ها</label>
    <select name="colors[]" id="colors" class="form-select" multiple required>
        <?php foreach ($colors as $color): ?>
            <option value="<?= $color['id'] ?>" <?= in_array($color['id'], $selected_colors) ? 'selected' : '' ?>>
                <?= htmlspecialchars($color['name']) ?>
            </option>
        <?php endforeach; ?>
    </select>
</div>



            <button type="submit" class="btn btn-primary">ذخیره تغییرات</button>
            <a href="manage_products.php" class="btn btn-secondary">بازگشت</a>
        </form>
    </div>

    <script>
        // نمایش یا پنهان کردن فیلدهای تخفیف
        document.getElementById('has_discount').addEventListener('change', function() {
            document.getElementById('discount_section').style.display = (this.value === 'yes') ? 'block' : 'none';
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
