<?php
include "connect.php";

// برای ویرایش دسته‌بندی فرعی
if (isset($_POST['edit_sub_category'])) {
    $sub_category_id = $_POST['sub_category_id'];
    $main_category_id = $_POST['main_category_id'];
    $name = $_POST['sub_category_name'];
    $image = '';
    
    if (!empty($_POST['sub_category_image_url'])) {
        $image = $_POST['sub_category_image_url'];
    } else {
        $image = $_FILES['sub_category_image']['name'];
        $image_tmp = $_FILES['sub_category_image']['tmp_name'];
        
        $image_path = "uploads/" . $image;
        move_uploaded_file($image_tmp, $image_path);
    }

    $stmt = $conn->prepare("UPDATE tbl_subcate SET name = :name, image = :image WHERE id = :id");
    $stmt->bindParam(':id', $sub_category_id);
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':image', $image);
    $stmt->execute();
}

// برای ذخیره دسته‌بندی اصلی
if (isset($_POST['add_main_category'])) {
    $name = $_POST['main_category_name'];
    $image = '';
    
    if (!empty($_POST['main_category_image_url'])) {
        $image = $_POST['main_category_image_url'];
    } else {
        $image = $_FILES['main_category_image']['name'];
        $image_tmp = $_FILES['main_category_image']['tmp_name'];
        
        // انتقال تصویر به پوشه مقصد
        $image_path = "uploads/" . $image;
        move_uploaded_file($image_tmp, $image_path);
    }

    $stmt = $conn->prepare("INSERT INTO tbl_category (name, image) VALUES (:name, :image)");
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':image', $image);
    $stmt->execute();
}

// برای ذخیره دسته‌بندی فرعی
if (isset($_POST['add_sub_category'])) {
    $main_category_id = $_POST['main_category_id'];
    $name = $_POST['sub_category_name'];
    $image = '';
    
    if (!empty($_POST['sub_category_image_url'])) {
        $image = $_POST['sub_category_image_url'];
    } else {
        $image = $_FILES['sub_category_image']['name'];
        $image_tmp = $_FILES['sub_category_image']['tmp_name'];
        
        $image_path = "uploads/" . $image;
        move_uploaded_file($image_tmp, $image_path);
    }

    $stmt = $conn->prepare("INSERT INTO tbl_subcate (cate_id, name, image) VALUES (:cate_id, :name, :image)");
    $stmt->bindParam(':cate_id', $main_category_id);
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':image', $image);
    $stmt->execute();
}

// برای ویرایش دسته‌بندی اصلی
if (isset($_POST['edit_main_category'])) {
    $category_id = $_POST['category_id'];
    $name = $_POST['main_category_name'];
    $image = '';
    
    if (!empty($_POST['main_category_image_url'])) {
        $image = $_POST['main_category_image_url'];
    } else {
        $image = $_FILES['main_category_image']['name'];
        $image_tmp = $_FILES['main_category_image']['tmp_name'];
        
        $image_path = "uploads/" . $image;
        move_uploaded_file($image_tmp, $image_path);
    }

    $stmt = $conn->prepare("UPDATE tbl_category SET name = :name, image = :image WHERE id = :id");
    $stmt->bindParam(':id', $category_id);
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':image', $image);
    $stmt->execute();
}

// دریافت دسته‌بندی‌های اصلی
$stmt = $conn->query("SELECT * FROM tbl_category ORDER BY id DESC");
$main_categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>مدیریت دسته‌بندی‌ها</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
</head>
<body class="bg-light">
    <div class="container mt-5">
        <h3>مدیریت دسته‌بندی‌ها</h3>
        
        <!-- فرم اضافه کردن دسته‌بندی اصلی -->
        <form method="POST" enctype="multipart/form-data" class="mb-5">
            <h4>افزودن دسته‌بندی اصلی</h4>
            <div class="mb-3">
                <label for="main_category_name" class="form-label">نام دسته‌بندی</label>
                <input type="text" class="form-control" name="main_category_name" id="main_category_name" required>
            </div>
            <div class="mb-3">
                <label for="main_category_image" class="form-label">تصویر دسته‌بندی</label>
                <div class="d-flex">
                    <input type="file" class="form-control" name="main_category_image" id="main_category_image">
                    <input type="url" class="form-control ms-2" name="main_category_image_url" id="main_category_image_url" placeholder="یا URL تصویر را وارد کنید">
                </div>
            </div>
            <button type="submit" class="btn btn-primary" name="add_main_category">اضافه کردن</button>
        </form>

        <!-- نمایش دسته‌بندی‌های اصلی -->
        <h4>دسته‌بندی‌های اصلی</h4>
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>نام دسته‌بندی</th>
                    <th>تصویر</th>
                    <th>ویرایش</th>
                    <th>اضافه کردن دسته‌بندی فرعی</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($main_categories as $category): ?>
                    <tr>
                        <td><?= $category['name'] ?></td>
                        <td><img src="<?= $category['image'] ?>" alt="<?= $category['name'] ?>" style="height: 50px;"></td>
                        <td>
                            <!-- فرم ویرایش دسته‌بندی اصلی -->
                            <button class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#editModal<?= $category['id'] ?>">ویرایش</button>

                            <!-- Modal برای ویرایش -->
                            <div class="modal fade" id="editModal<?= $category['id'] ?>" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="editModalLabel">ویرایش دسته‌بندی اصلی</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <form method="POST" enctype="multipart/form-data">
                                                <input type="hidden" name="category_id" value="<?= $category['id'] ?>">
                                                <div class="mb-3">
                                                    <label for="main_category_name" class="form-label">نام دسته‌بندی</label>
                                                    <input type="text" class="form-control" name="main_category_name" value="<?= $category['name'] ?>" required>
                                                </div>
                                                <div class="mb-3">
                                                    <label for="main_category_image" class="form-label">تصویر دسته‌بندی</label>
                                                    <div class="d-flex">
                                                        <input type="file" class="form-control" name="main_category_image">
                                                        <input type="url" class="form-control ms-2" name="main_category_image_url" value="<?= $category['image'] ?>" placeholder="یا URL تصویر را وارد کنید">
                                                    </div>
                                                </div>
                                                <button type="submit" class="btn btn-primary" name="edit_main_category">ویرایش</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                        <td>
                            <!-- فرم اضافه کردن دسته‌بندی فرعی -->
                            <form method="POST" enctype="multipart/form-data">
                                <input type="hidden" name="main_category_id" value="<?= $category['id'] ?>">
                                <div class="mb-3">
                                    <input type="text" class="form-control" name="sub_category_name" placeholder="نام دسته‌بندی فرعی" required>
                                </div>
                                <div class="d-flex mb-3">
                                    <input type="file" class="form-control" name="sub_category_image">
                                    <input type="url" class="form-control ms-2" name="sub_category_image_url" placeholder="یا URL تصویر را وارد کنید">
                                </div>
                                <button type="submit" class="btn btn-success" name="add_sub_category">اضافه کردن</button>
                            </form>
                        </td>
                    </tr>
<!-- نمایش دسته‌بندی‌های فرعی مربوط به دسته‌بندی اصلی -->
<?php
$stmt = $conn->prepare("SELECT * FROM tbl_subcate WHERE cate_id = :cate_id");
$stmt->bindParam(':cate_id', $category['id']);
$stmt->execute();
$sub_categories = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<tr>
    <td colspan="4">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>نام دسته‌بندی فرعی</th>
                    <th>تصویر</th>
                    <th>ویرایش</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($sub_categories as $sub_category): ?>
                    <tr>
                        <td><?= $sub_category['name'] ?></td>
                        <td><img src="<?= $sub_category['image'] ?>" alt="<?= $sub_category['name'] ?>" style="height: 50px;"></td>
                        <td>
                            <!-- دکمه ویرایش دسته‌بندی فرعی -->
                            <button class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#editSubCategoryModal<?= $sub_category['id'] ?>">ویرایش</button>

                            <!-- Modal برای ویرایش دسته‌بندی فرعی -->
                            <div class="modal fade" id="editSubCategoryModal<?= $sub_category['id'] ?>" tabindex="-1" aria-labelledby="editSubCategoryModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="editSubCategoryModalLabel">ویرایش دسته‌بندی فرعی</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <form method="POST" enctype="multipart/form-data">
                                                <input type="hidden" name="sub_category_id" value="<?= $sub_category['id'] ?>">
                                                <input type="hidden" name="main_category_id" value="<?= $category['id'] ?>">
                                                <div class="mb-3">
                                                    <label for="sub_category_name" class="form-label">نام دسته‌بندی فرعی</label>
                                                    <input type="text" class="form-control" name="sub_category_name" value="<?= $sub_category['name'] ?>" required>
                                                </div>
                                                <div class="d-flex mb-3">
                                                    <input type="file" class="form-control" name="sub_category_image">
                                                    <input type="url" class="form-control ms-2" name="sub_category_image_url" value="<?= $sub_category['image'] ?>" placeholder="یا URL تصویر را وارد کنید">
                                                </div>
                                                <button type="submit" class="btn btn-primary" name="edit_sub_category">ویرایش</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </td>
</tr>

                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
