<?php
include "connect.php";

// افزودن رنگ جدید
if (isset($_POST['add_color'])) {
    $color_name = $_POST['color_name'];
    $color_code = $_POST['color_code'];
    
    $stmt = $conn->prepare("INSERT INTO colors (name, hex_code) VALUES (:name, :code)");
    $stmt->bindParam(':name', $color_name);
    $stmt->bindParam(':code', $color_code);
    $stmt->execute();
}

// دریافت لیست رنگ‌ها
$stmt = $conn->query("SELECT * FROM colors");
$colors = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>مدیریت رنگ‌ها</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
</head>
<body class="bg-light">
    <div class="container mt-5">
        <h3>مدیریت رنگ‌ها</h3>
        
        <!-- فرم اضافه کردن رنگ جدید -->
        <form method="POST" class="mb-4">
            <div class="mb-3">
                <label class="form-label">نام رنگ</label>
                <input type="text" class="form-control" name="color_name" required>
            </div>
            <div class="mb-3">
                <label class="form-label">کد رنگ</label>
                <input type="color" class="form-control form-control-color" name="color_code" required>
            </div>
            <button type="submit" class="btn btn-primary" name="add_color">افزودن رنگ</button>
        </form>
        
        <!-- نمایش رنگ‌ها -->
        <h4>لیست رنگ‌ها</h4>
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>نام رنگ</th>
                    <th>کد رنگ</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($colors as $color): ?>
                    <tr>
                        <td><?= $color['name'] ?></td>
                        <td><div style="width: 40px; height: 40px; background: <?= $color['hex_code'] ?>; border: 1px solid #000;"></div></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
