<?php
include "connect.php";
error_reporting(E_ALL);
ini_set('display_errors', 1);

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $name = $_POST['name'];
    $price = str_replace(',', '', $_POST['price']); 
    $price_inquiry = isset($_POST['price_inquiry']) ? 0 : $price; 

    $category_id = $_POST['category_id'];
    $sub_cate_id = $_POST['sub_cate_id'];
    $image_url = isset($_POST['image_url']) ? trim($_POST['image_url']) : '';
    $description = $_POST['description'];
$availability = isset($_POST['availability']) ? $_POST['availability'] : 'available'; 

    $image_path = ''; // مقدار پیش‌فرض مسیر تصویر
    
    $has_discount = $_POST['has_discount'];
$discount_percentage = isset($_POST['discount_percentage']) && $_POST['discount_percentage'] !== "" 
    ? $_POST['discount_percentage'] 
    : 0;
$amazing_offer_time = isset($_POST['amazing_offer_time']) && $_POST['amazing_offer_time'] !== "" 
    ? $_POST['amazing_offer_time'] 
    : "0000-00-00";
    
    $quantity_per_pack = isset($_POST['quantity_per_pack']) ? intval($_POST['quantity_per_pack']) : 1;

// اگر مقدار وارد شده 1 باشد، مقدار 0 را ذخیره کن
if ($quantity_per_pack == 1) {
    $quantity_per_pack = 0;
}
    
    // بررسی آپلود فایل تصویر
    if (!empty($_FILES["image"]["name"])) {
        $target_dir = "uploads/"; // پوشه‌ی ذخیره تصاویر
        $image_name = time() . "_" . basename($_FILES["image"]["name"]); // تغییر نام برای جلوگیری از تکراری شدن
        $target_file = $target_dir . $image_name;
        $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));

        // بررسی فرمت‌های مجاز
        $allowed_types = ["jpg", "jpeg", "png", "gif"];
        if (in_array($imageFileType, $allowed_types)) {
            if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
                $image_path = "https://android-pro.ir/shopp/add/web/".$target_file; // ذخیره مسیر تصویر در دیتابیس
            } else {
                die("خطا در آپلود تصویر.");
            }
        } else {
            die("فرمت تصویر نامعتبر است. فقط JPG, JPEG, PNG و GIF مجاز هستند.");
        }
    } else if (!empty($image_url)) {
        // اگر تصویری آپلود نشده ولی URL وارد شده است
        $image_path = $image_url;
    } else {
        die("لطفاً یک تصویر آپلود کنید یا یک URL وارد کنید.");
    }

    // ذخیره در دیتابیس
    $stmt = $conn->prepare("INSERT INTO `tbl_product`(`name`, `description`, `price`, `image`, `category_id`, `sub_cate_id`, `hasDiscount`, `discount`, `date_discount`, `availability`,`box_count`) VALUES (:name, :description, :price, :image, :category_id, :sub_cate_id, :hasDiscount, :discount, :date_discount, :availability,:box_count)");
    $stmt->bindParam(':name', $name);
    $stmt->bindParam(':description', $description);
    $stmt->bindParam(':price', $price_inquiry);
    $stmt->bindParam(':image', $image_path);
    $stmt->bindParam(':category_id', $category_id);
    $stmt->bindParam(':sub_cate_id', $sub_cate_id);
    $stmt->bindParam(':hasDiscount', $has_discount);
    $stmt->bindParam(':discount', $discount_percentage);
    $stmt->bindParam(':box_count', $quantity_per_pack);
    $stmt->bindParam(':date_discount', $amazing_offer_time);
    $stmt->bindValue(':availability', $availability, PDO::PARAM_STR);

    if ($stmt->execute()) {
        // اگر رنگ‌ها انتخاب شده‌اند
        if (isset($_POST['colors']) && !empty($_POST['colors'])) {
            $product_id = $conn->lastInsertId();
            foreach ($_POST['colors'] as $color_id) {
                $stmt = $conn->prepare("INSERT INTO product_colors (product_id, color_id) VALUES (:product_id, :color_id)");
                $stmt->bindParam(':product_id', $product_id);
                $stmt->bindParam(':color_id', $color_id);
                $stmt->execute();
            }
        }
        // ارسال پیام موفقیت به صفحه فرم
        header("Location: add_product.php?success=1");
        exit();
    } else {
        header("Location: add_product.php?error=1");
        exit();
    }
}
?>
